Page MenuHomePhabricator

The messages Centralauth-account-unattached-exists and Centralauth-account-rename-exists should tell the user what to do
Closed, ResolvedPublic

Description

The interface messages mentioned in the title both say "Cannot create account: The requested username would conflict with another username on another wiki.". For new users (who are the people who will see this), this can be a bit cryptic, so I propose changing the wording to "Cannot create account: The username is already in use. Please pick another name."

Details

Related Gerrit Patches:
mediawiki/extensions/CentralAuth : master"account exists" messages reworded

Event Timeline

jhsoby created this task.Feb 25 2015, 4:44 PM
jhsoby raised the priority of this task from to Needs Triage.
jhsoby updated the task description. (Show Details)
jhsoby added a subscriber: jhsoby.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 25 2015, 4:44 PM

Change 193581 had a related patch set uploaded (by Sumit):
Centralauth Account exists messages reworded

https://gerrit.wikimedia.org/r/193581

Nemo_bis raised the priority of this task from Lowest to Medium.Mar 1 2015, 11:35 AM

Please pick another name.

That's not necessarily correct, it's possible the user who's trying to login actually owns the global account but needs to enter a better password.

Cf. T70069#1044470 for WikimediaMessages.

That's not necessarily correct, it's possible the user who's trying to login actually owns the global account but needs to enter a better password.
Cf. T70069#1044470 for WikimediaMessages.

These are for account registration though, not logins.

Change 193581 merged by jenkins-bot:
"account exists" messages reworded

https://gerrit.wikimedia.org/r/193581

jrbs added a subscriber: jrbs.
MarcoAurelio closed this task as Resolved.Feb 15 2016, 6:02 PM
MarcoAurelio assigned this task to Sumit.